Package org.apache.sysds.common

## Enum Types.ExecMode

- java.lang.Object
- - java.lang.Enum<Types.ExecMode>
  - - org.apache.sysds.common.Types.ExecMode

All Implemented Interfaces:
  `Serializable`, `Comparable<Types.ExecMode>`

Enclosing interface:
  Types

    public static enum Types.ExecMode
    extends Enum<Types.ExecMode>

Execution mode for entire script. This setting specify which `Types.ExecType`s are allowed.

### Enum Constant Summary

Enum Constants
`HYBRID` The default and encouraged ExecMode.
`SINGLE_NODE` Execute all operations in `Types.ExecType.CP` and if available `Types.ExecType.GPU`
`SPARK` Execute all operations in `Types.ExecType.SPARK`

### Method Summary

All Methods Static Methods Concrete Methods
`static Types.ExecMode` `valueOf​(String name)` Returns the enum constant of this type with the specified name.
`static Types.ExecMode[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### SINGLE_NODE

    public static final Types.ExecMode SINGLE_NODE

Execute all operations in `Types.ExecType.CP` and if available `Types.ExecType.GPU`

#### HYBRID

    public static final Types.ExecMode HYBRID

The default and encouraged ExecMode. Execute operations while leveraging all available options: `Types.ExecType.CP`, distributed in `Types.ExecType.SPARK`, and if available `Types.ExecType.GPU`

#### SPARK

    public static final Types.ExecMode SPARK

Execute all operations in `Types.ExecType.SPARK`

### Method Detail

#### values

    public static Types.ExecMode[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Types.ExecMode c : Types.ExecMode.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Types.ExecMode valueOf​(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null